gnome-builder (49.1-3) unstable; urgency=medium

  * Replace Build-Depends: dbus with dbus-daemon (Closes: #1122598)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Dec 2025 17:27:27 -0500

gnome-builder (49.1-2) unstable; urgency=medium

  * Remove unnecessary Priority: optional field
  * Salsa CI: Remove explicit disabling of reprotest & piuparts
  * Update list of Flatpak architectures

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 06 Dec 2025 10:43:14 -0500

gnome-builder (49.1-1) unstable; urgency=medium

  * New upstream release
  * Remove obsolete Build-Depends: libdevhelp-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Oct 2025 10:03:04 -0400

gnome-builder (49.0-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 13 Oct 2025 19:48:11 -0400

gnome-builder (49.0-1) experimental; urgency=medium

  * New upstream release
  * Remove remaning patch: applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 13 Sep 2025 08:19:00 -0400

gnome-builder (49~rc-2) experimental; urgency=medium

  * Cherry-pick patch to fix 32-bit build failure
  * Opt into Salsa CI but disable some tests for now

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 09:56:32 -0400

gnome-builder (49~rc-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum glib, gtksourceview5, libadwaita, and template-glib
  * Add Build-Depends: libyaml-dev
  * debian/copyright: trivial update

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Sep 2025 13:16:43 -0400

gnome-builder (48.2-2) unstable; urgency=medium

  * Team upload
  * Add missing build-dependency on libgirepository-1.0-dev.
    Unusually, gnome-builder really does need libgirepository, not just
    the gobject-introspection toolchain.
    Until recently, this was presumably pulled in by one of our
    dependencies having a -dev dependency on the transitional
    libgirepository1.0-dev package.
    (Closes: #1114128)
  * Override Lintian tags for BuilderBlocks.ttf.
    It is not a general-purpose font: it displays every non-whitespace
    character as a small block, and is intended for providing an overview
    of source code when zoomed out far enough that individual letters
    would be unreadable.
  * d/copyright: Don't quote the FSF's former postal address here
  * d/copyright: Update
  * d/control: Standards-Version: 4.7.2 (no changes required)
  * d/control: Remove Rules-Requires-Root, no longer necessary

 -- Simon McVittie <smcv@debian.org>  Sat, 06 Sep 2025 15:01:53 +0100

gnome-builder (48.2-1) unstable; urgency=medium

  * New upstream bugfix release
    - Meson template fixes
    - Translation updates
    - Fix application of text edits with some LSPs
    - Fix certain types of directory updates to project tree

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 14 Aug 2025 16:13:29 -0400

gnome-builder (48.0-2) unstable; urgency=medium

  * Team upload
  * Replace build-dep on obsolete appstream-util with appstream

 -- Matthias Klumpp <mak@debian.org>  Sat, 03 May 2025 15:27:11 +0200

gnome-builder (48.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 17 Mar 2025 12:19:16 -0400

gnome-builder (48~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 27 Feb 2025 11:43:11 -0500

gnome-builder (48~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum gtksourceview5
  * Remove unused Build-Depends: libdspy-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 17:55:55 -0500

gnome-builder (47.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 25 Nov 2024 13:53:17 -0500

gnome-builder (47.1-1) unstable; urgency=medium

  * New upstream release (LP: #2083462)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 01 Oct 2024 18:00:33 -0400

gnome-builder (47.0-1) unstable; urgency=medium

  * New upstream release
  * GNOME Builder no longer includes python3-gi overrides
  * Build with libspelling instead of gspell
  * Bump minimum GTK4

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 16 Sep 2024 09:28:19 -0400

gnome-builder (47~beta-1) experimental; urgency=medium

  * New upstream release
  * Bump minimum libadwaita, libdex, libpanel, and vte
  * Add Build-Depends: libgom-1.0-dev
  * Install /usr/share/gnome-builder/clang-format/.clang-format

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 18:18:12 -0400

gnome-builder (46.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 09 Aug 2024 16:22:16 -0400

gnome-builder (46.2-3) unstable; urgency=medium

  * Drop obsolete Build-Depends: pcre3-dev (Closes: #1073055)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 12 Jun 2024 10:21:55 -0400

gnome-builder (46.2-2) unstable; urgency=medium

  * Add Depends: gir1.2-json-1.0 to fix keyboard shortcuts (Closes: #1072154)
  * Drop unnecessary Build-Depends: gnome-pkg-tools
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 May 2024 08:23:46 -0400

gnome-builder (46.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 28 May 2024 16:17:19 -0400

gnome-builder (46.1-1) unstable; urgency=medium

  * New upstream release
  * Update Homepage

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 10 Apr 2024 19:37:14 -0400

gnome-builder (46.0-1) unstable; urgency=medium

  * New upstream release
  * Add Build-Depends: libxml2-utils for xmllint

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 20 Mar 2024 08:10:03 -0400

gnome-builder (46~beta-1) unstable; urgency=medium

  * New upstream release
  * Bump minimum libadwaita and libpanel
  * Drop patch applied in new release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 22 Feb 2024 08:06:41 -0500

gnome-builder (45.0-2) unstable; urgency=medium

  * Cherry-pick build fix needed after GTK 4.12.5.
    Thanks to Adrian Bunk (Closes: #1061567)
  * Stop using debian/control.in and dh-sequence-gnome

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 26 Jan 2024 18:08:56 -0500

gnome-builder (45.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum sysprof to 45.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 18 Sep 2023 08:37:40 -0400

gnome-builder (45~rc-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 01 Sep 2023 15:00:22 -0400

gnome-builder (45~beta-2) unstable; urgency=medium

  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 30 Aug 2023 18:42:24 -0400

gnome-builder (45~beta-1) experimental; urgency=medium

  * New upstream release (Closes: #1043466) (LP: #2031972)
  * debian/control.in: Bump dependencies
  * Revert "Set DEB_PYTHON_INSTALL_LAYOUT = deb": Fixed in debhelper 13.11.5
  * Revert "d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el"
    meson 1.2.1 fixed the underlying issue

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 19 Aug 2023 14:26:09 -0400

gnome-builder (44.2-3) unstable; urgency=high

  * d/rules, d/meson/no-exe-wrapper.ini: Work around FTBFS on mips64el
    Mitigates: #1041499

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 06 Aug 2023 13:58:44 -0400

gnome-builder (44.2-2) unstable; urgency=medium

  * Build d-spy plugin
  * Set DEB_PYTHON_INSTALL_LAYOUT = deb to work around behavior change
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 23 Jul 2023 15:40:44 -0400

gnome-builder (44.2-1) experimental; urgency=medium

  * New upstream release

 -- Jarred Wilson <jarred.wilson@canonical.com>  Tue, 16 May 2023 13:37:59 -0400

gnome-builder (44.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum libadwaita to 1.3.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Mar 2023 15:52:05 -0400

gnome-builder (44~rc-2) experimental; urgency=medium

  * Build against webkitgtk 6.0 instead of 5.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 15 Mar 2023 19:47:12 -0400

gnome-builder (44~rc-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Bump minimum dependencies

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 10 Mar 2023 07:41:48 -0500

gnome-builder (44~beta-2) experimental; urgency=medium

  * Bump debhelper-compat to 13
    - Use debian/not-installed for the development files we've never installed
    - Simplify dh_auto_test syntax

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 27 Feb 2023 08:30:01 -0500

gnome-builder (44~beta-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libdex-dev
  * debian/control.in: Bump minimum glib and libpanel
  * debian/control.in: Drop unnecessary gir dependencies

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 21 Feb 2023 17:14:24 -0500

gnome-builder (43.6-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 03 Feb 2023 18:21:57 -0500

gnome-builder (43.5-1) unstable; urgency=medium

  * New upstream release
  * Avoid explicitly specifying -Wl,--as-needed linker flag
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 01 Feb 2023 18:53:25 -0500

gnome-builder (43.4-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.1

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 01 Dec 2022 09:35:44 -0500

gnome-builder (43.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 18 Nov 2022 14:50:50 -0500

gnome-builder (43.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 06 Oct 2022 22:25:10 -0400

gnome-builder (43.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2022 10:09:02 -0400

gnome-builder (43~rc-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump dependencies per meson.build
  * Build with unversioned llvm/clang again
  * Release to unstable

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 19 Sep 2022 17:18:59 -0400

gnome-builder (43~alpha1-1) experimental; urgency=medium

  * New upstream release
  * Update Build-Depends for switch to gtk4 & libadwaita
    - Many other dependency updates
  * debian/control.in: Build-Depend on flatpak built against libsoup3
  * debian/control.in: Build-Depend on libeditorconfig-dev
  * debian/control.in: Build-Depend on libwebkit2gtk-5.0-dev
  * debian/control.in: Drop obsolete glade dependency
    - The future intended replacement is
      https://gitlab.gnome.org/chergert/drafting
  * debian/rules: Disable dsply plugin since dspy isn't in Debian yet
  * Build with llvm-14 to avoid build issue with Experimental's llvm-15
  * debian/gnome-builder.install: Install styles

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sun, 21 Aug 2022 09:05:24 -0400

gnome-builder (42.1-1) unstable; urgency=medium

  * New upstream release
  * Drop patch: applied in new release

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 21 Apr 2022 13:52:05 -0400

gnome-builder (42.0-1) unstable; urgency=medium

  * New upstream release
  * Add patch to fix AppStream metadata validation test

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 16:02:26 -0400

gnome-builder (42~rc1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 08 Mar 2022 09:34:21 -0500

gnome-builder (42~beta1-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/control.in: Bump minimum meson & vte
  * debian/control.in: Build-Depend on libhandy & jsonrpc-glib
  * Suggest rubocop for Ruby. Drop no longer needed python3-jedi
  * Build-Depend on and Recommend valgrind-if-available instead of valgrind
    directly

 -- Jeremy Bicha <jeremy.bicha@canonical.com>  Tue, 22 Feb 2022 19:43:50 -0500

gnome-builder (41.3-4) unstable; urgency=medium

  * Team upload
  * Release to unstable for libportal transition (#1003085)

 -- Simon McVittie <smcv@debian.org>  Wed, 05 Jan 2022 10:33:12 +0000

gnome-builder (41.3-3) experimental; urgency=medium

  * Team upload
  * d/control.in: Use libportal 0.5
  * d/p/build-use-libportal-0.5.patch:
    Add patch from upstream to fix build against libportal 0.5

 -- Simon McVittie <smcv@debian.org>  Mon, 03 Jan 2022 18:56:56 +0000

gnome-builder (41.3-2) unstable; urgency=medium

  * Cherry-pick from upstream two patches for the flatpak plugin.
    One of these patches should fixe the FTBFS on 32 bits architectures

 -- Laurent Bigonville <bigon@debian.org>  Sat, 11 Dec 2021 11:18:56 +0100

gnome-builder (41.3-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 10 Dec 2021 22:58:17 -0500

gnome-builder (41.2-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 21 Nov 2021 13:31:01 -0500

gnome-builder (41.1-3) unstable; urgency=medium

  * Team upload
  * Adjust location of g-i overrides for Meson 0.60.0 (Closes: #997405)

 -- Simon McVittie <smcv@debian.org>  Thu, 28 Oct 2021 21:08:40 +0100

gnome-builder (41.1-2) unstable; urgency=medium

  * debian/gnome-builder.install: Install gnome-builder-flatpak
    (Closes: #995280)

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 29 Sep 2021 03:57:47 -0400

gnome-builder (41.1-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Build-Depend on libcmark-dev
  * debian/control.in: Bump minimum glib to 2.69.1, gtk3 to 3.24,
    & flatpak to 1.11.2

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 26 Sep 2021 18:26:27 -0400

gnome-builder (3.40.2-3) unstable; urgency=medium

  [ Laurent Bigonville ]
  * debian/watch: Update to follow the new version scheme

  [ Jeremy Bicha ]
  * Build-Depend on libsysprof-ui-4-dev. Drop unnecessary Recommends: sysprof
  * Drop no longer needed debian/not-installed and dh_install -X rules
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 21 Sep 2021 20:50:07 -0400

gnome-builder (3.40.2-2) experimental; urgency=medium

  * debian/control.in: Bump glib BD to 2.67.3, needed for g_memdup2()

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Aug 2021 16:32:59 +0200

gnome-builder (3.40.2-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on libportal-dev

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Jun 2021 13:36:30 +0200

gnome-builder (3.38.2-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 01 Mar 2021 17:18:38 +0100

gnome-builder (3.38.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Oct 2020 07:46:01 -0400

gnome-builder (3.38.0-2) unstable; urgency=medium

  * Team upload
  * Add missing build-dependency on libpolkit-gobject-1-dev.
    The sysprof development files need this, but it isn't a hard dependency
    because the sysprof package is mostly used for purposes other than
    compiling against its libraries. Ideally src:sysprof should have one or
    more separate binary packages for development files, but that will
    require a trip through the NEW queue. (Closes: #971112)

 -- Simon McVittie <smcv@debian.org>  Sun, 27 Sep 2020 21:26:13 +0100

gnome-builder (3.38.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * d/upstream/metadata: Add
  * Release to unstable

 -- Simon McVittie <smcv@debian.org>  Wed, 16 Sep 2020 09:47:02 +0100

gnome-builder (3.37.92-1) experimental; urgency=medium

  * Team upload
  * d/watch: Watch for development versions
  * New upstream release
  * d/control.in: Update build-dependency versions
  * d/copyright: Update
  * Remove patches.
    Most came from upstream, and d/p/fix-build-with-multiarch.patch doesn't
    seem to be necessary any more.
  * d/gnome-builder.install: Remove gtksourceview-3.0 data, no longer installed
  * d/gnome-builder.install: Redirect PyGI overrides to the right place

 -- Simon McVittie <smcv@debian.org>  Mon, 07 Sep 2020 19:28:20 +0100

gnome-builder (3.36.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Among other fixes, there is an updated German translation
      (Closes: #922640)
  * d/p/meson-Add-generated-lsp-enum-header-to-lsp-sources.patch:
    Drop patch, applied upstream
  * Add post-release fixes from upstream 3.36 branch, up to 3.36.1-9-gb99463102
  * d/control.in: Switch build-dependency from enchant to enchant-2.
    Thanks to peter green (Closes: #969569)

 -- Simon McVittie <smcv@debian.org>  Sat, 05 Sep 2020 15:01:42 +0100

gnome-builder (3.36.0-3) unstable; urgency=medium

  * d/p/meson-Add-generated-lsp-enum-header-to-lsp-sources.patch: Fix FTBFS.
    Avoid race condition by adding generated lsp enum header to lsp sources
    (Closes: #952582)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 13 Apr 2020 10:56:16 +0200

gnome-builder (3.36.0-2) unstable; urgency=medium

  * debian/control.in: Fix the version of gir1.2-glib-2.0 to make it
    installable again, oups (Closes: #953398)

 -- Laurent Bigonville <bigon@debian.org>  Mon, 09 Mar 2020 23:47:48 +0100

gnome-builder (3.36.0-1) unstable; urgency=medium

  * New upstream release
  * debian/control.in: Bump Standards-Version to 4.5.0 (no further changes)
  * debian/control.in: Tighten the runtime dependencies a bit

 -- Laurent Bigonville <bigon@debian.org>  Sun, 08 Mar 2020 16:39:33 +0100

gnome-builder (3.35.91-1) unstable; urgency=medium

  * New upstream beta release
  * Drop backported meson patch: applied in new release
  * Disable new update-manager plugin:
    - It's intended for users of the Flatpak build of GNOME Builder

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 16 Feb 2020 19:48:52 -0500

gnome-builder (3.34.1-2) unstable; urgency=medium

  * Enable the sysprof module on all linux architectures
  * Drop d/p/revert-spellcheck-depend-on-enchant-2.patch, enchant-2 is
    available in unstable (Closes: #948352)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 23 Jan 2020 10:27:08 +0100

gnome-builder (3.34.1-1) unstable; urgency=medium

  * New upstream release
    - Bump the (build-)dependencies
  * debian/rules: Properly disable flatpak on architectures where it's not
    supported
  * debian/patches: Fix FTBFS with meson 0.52, patches from upstream
  * debian/gnome-builder.install: Install the new gnome-builder-git and
    gnome-builder-vala helper executable
  * debian/control.in: Bump Standards-Version to 4.4.1 (no further changes)

 -- Laurent Bigonville <bigon@debian.org>  Thu, 02 Jan 2020 03:35:18 +0100

gnome-builder (3.32.4-2) unstable; urgency=medium

  * Depend on gir1.2-gtksource-4 instead of gir1.2-gtksource-3.0
  * Depend and Build-Depend on unversion libvala-dev

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 29 Sep 2019 19:09:04 -0400

gnome-builder (3.32.4-1) unstable; urgency=medium

  * New upstream release
  * Build with vala 0.46
  * Bump minimum meson to 0.50.0
  * Drop lower-meson-requirement-to-0.49.0.patch: No longer needed
  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Build-Depend on dh-sequence-gir, dh-sequence-gnome & dh-sequence-python3
  * debian/gnome-builder.install: Install /usr/libexec/gnome-builder-clang
  * Upload to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Sep 2019 08:37:30 -0400

# Older entries have been removed from this changelog.
# To read the complete changelog use `apt changelog gnome-builder`.
